c Removes blanks from the string s
c (from A.Vikhlinin)

      subroutine rmblanks (s)

      character*(*) s
      integer len,lnblnk,n,i
      
      len=lnblnk(s)
      
      n=0
      do i=1,len
        if(s(i:i).ne.' '.and.s(i:i).ne.'\t')then
          n=n+1
          s(n:n)=s(i:i)
        endif
      enddo
      
      do i=n+1,len
        s(i:i)=' '
      enddo
      
      end
